API referenceATLASi ISP
POST /api/ATLASi/ISP/UpdateReserveRequirements
POST
/api/ATLASi/ISP/UpdateReserveRequirementscurl -X POST "/api/ATLASi/ISP/UpdateReserveRequirements" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": {
"date": "2026-01-15",
"payload": [
{
"zoneId": 0,
"values": [
{
"dispatchPeriod": 0,
"value": 0
}
],
"reserveTypeId": 1,
"directionId": 1
}
]
}
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
dataEtrmApiGateway.DTOs.ATLASi.ISP.ZonalReservePostBody
Response
application/json
OK
successbooleanerrorCodestring | nullerrorMessagestring | nullwarningMessagestring | nullinfoMessagestring | nullrecordCountinteger<int32>dataany
{
"success": true,
"errorCode": "string",
"errorMessage": "string",
"warningMessage": "string",
"infoMessage": "string",
"recordCount": 0,
"data": null
}